curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"latest_template_version_id": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all prompt templates in a project. Use to discover available templates or build template management UIs.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-templates \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"latest_template_version_id": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptTemplateListResponse(data: list[server.api_routes.prompt_templates_api_v2.PromptTemplateInfo], pagination: server.api_routes.api_v2_common.PaginationInfo)